/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.sys.modular.basePigpen.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 栋舍编辑参数
 *
 * @author newspaper
 * @date  2024/01/24 19:15
 **/
@Getter
@Setter
public class SysBasePigpenEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 栋舍名字 */
    @ApiModelProperty(value = "栋舍名字", position = 2)
    private String buildName;

    /** 父级ID */
    @ApiModelProperty(value = "父级ID", position = 3)
    private String parentId;

    /** 所有父ID */
    @ApiModelProperty(value = "所有父ID", position = 4)
    private String pids;

    /** 类型 0:栋舍 1:楼层 2:单元 */
    @ApiModelProperty(value = "类型 0:栋舍 1:楼层 2:单元", position = 5)
    private Integer type;

    /** 阶段 */
    @ApiModelProperty(value = "阶段", position = 6)
    private String stage;

    /** 容量 */
    @ApiModelProperty(value = "容量", position = 7)
    private Integer capacity;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 8)
    private String orgId;

    /** 排序 */
    @ApiModelProperty(value = "排序", position = 9)
    private Integer sort;

    /** 栋舍全名 */
    @ApiModelProperty(value = "栋舍全名", position = 10)
    private String fullName;

}
