/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.sys.modular.department.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.sys.modular.department.entity.SysDepartment;
import vip.xiaonuo.sys.modular.department.param.DepartmentAddParam;
import vip.xiaonuo.sys.modular.department.param.DepartmentEditParam;
import vip.xiaonuo.sys.modular.department.param.DepartmentIdParam;
import vip.xiaonuo.sys.modular.department.param.DepartmentPageParam;

import java.util.List;

/**
 * 部门Service接口
 *
 * @author newspaper
 * @date  2024/01/22 19:30
 **/
public interface SysDepartmentService extends IService<SysDepartment> {

    /**
     * 获取部门分页
     *
     * @author newspaper
     * @date  2024/01/22 19:30
     */
    Page<SysDepartment> page(DepartmentPageParam departmentPageParam);

    /**
     * 添加部门
     *
     * @author newspaper
     * @date  2024/01/22 19:30
     */
    void add(DepartmentAddParam departmentAddParam);

    /**
     * 编辑部门
     *
     * @author newspaper
     * @date  2024/01/22 19:30
     */
    void edit(DepartmentEditParam departmentEditParam);

    /**
     * 删除部门
     *
     * @author newspaper
     * @date  2024/01/22 19:30
     */
    void delete(List<DepartmentIdParam> departmentIdParamList);

    /**
     * 获取部门详情
     *
     * @author newspaper
     * @date  2024/01/22 19:30
     */
    SysDepartment detail(DepartmentIdParam departmentIdParam);

    /**
     * 获取部门详情
     *
     * @author newspaper
     * @date  2024/01/22 19:30
     **/
    SysDepartment queryEntity(String id);
}
