/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.InternalCar.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;


import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.InternalCar.entity.InternalCar;
import vip.xiaonuo.modular.InternalCar.param.InternalCarAddParam;
import vip.xiaonuo.modular.InternalCar.param.InternalCarEditParam;
import vip.xiaonuo.modular.InternalCar.param.InternalCarIdParam;
import vip.xiaonuo.modular.InternalCar.param.InternalCarPageParam;

import java.util.List;

/**
 * internal_carService接口
 *
 * @author wang
 * @date  2023/12/05 16:29
 **/
public interface InternalCarService extends IService<InternalCar> {

    /**
     * 获取internal_car分页
     *
     * @author wang
     * @date  2023/12/05 16:29
     */
    Page<InternalCar> page(InternalCarPageParam internalCarPageParam);

    /**
     * 添加internal_car
     *
     * @author wang
     * @date  2023/12/05 16:29
     */
    CommonResult add(InternalCarAddParam internalCarAddParam);

    /**
     * 编辑internal_car
     *
     * @author wang
     * @date  2023/12/05 16:29
     */
    CommonResult edit(InternalCarEditParam internalCarEditParam);

    /**
     * 删除internal_car
     *
     * @author wang
     * @date  2023/12/05 16:29
     */
    void delete(List<InternalCarIdParam> internalCarIdParamList);

    /**
     * 获取internal_car详情
     *
     * @author wang
     * @date  2023/12/05 16:29
     */
    InternalCar detail(InternalCarIdParam internalCarIdParam);

    /**
     * 获取internal_car详情
     *
     * @author wang
     * @date  2023/12/05 16:29
     **/
    InternalCar queryEntity(Integer id);
}
