/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.ai.aiDevice.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.core.param.OrgIdParam;
import vip.xiaonuo.modular.ai.aiDevice.entity.AiDevice;
import vip.xiaonuo.modular.ai.aiDevice.entity.vo.AiDeviceCountVo;
import vip.xiaonuo.modular.ai.aiDevice.param.AiDeviceAddParam;
import vip.xiaonuo.modular.ai.aiDevice.param.AiDeviceEditParam;
import vip.xiaonuo.modular.ai.aiDevice.param.AiDeviceIdParam;
import vip.xiaonuo.modular.ai.aiDevice.param.AiDevicePageParam;

import java.util.List;

/**
 * 巡检设备Service接口
 *
 * @author newspaper
 * @date  2024/01/06 11:20
 **/
public interface AiDeviceService extends IService<AiDevice> {

    /**
     * 获取巡检设备分页
     *
     * @author newspaper
     * @date  2024/01/06 11:20
     */
    Page<AiDevice> page(AiDevicePageParam aiDevicePageParam);

    /**
     * 添加巡检设备
     *
     * @author newspaper
     * @date  2024/01/06 11:20
     */
    void add(AiDeviceAddParam aiDeviceAddParam);

    /**
     * 编辑巡检设备
     *
     * @author newspaper
     * @date  2024/01/06 11:20
     */
    void edit(AiDeviceEditParam aiDeviceEditParam);

    /**
     * 删除巡检设备
     *
     * @author newspaper
     * @date  2024/01/06 11:20
     */
    void delete(List<AiDeviceIdParam> aiDeviceIdParamList);

    /**
     * 获取巡检设备详情
     *
     * @author newspaper
     * @date  2024/01/06 11:20
     */
    AiDevice detail(AiDeviceIdParam aiDeviceIdParam);

    /**
     * 获取巡检设备详情
     *
     * @author newspaper
     * @date  2024/01/06 11:20
     **/
    AiDevice queryEntity(String id);

    AiDeviceCountVo deviceCount(OrgIdParam orgIdParam);
}
