/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigbatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.bi.pigbatch.entity.PigBatch;
import vip.xiaonuo.modular.bi.pigbatch.param.PigBatchAddParam;
import vip.xiaonuo.modular.bi.pigbatch.param.PigBatchEditParam;
import vip.xiaonuo.modular.bi.pigbatch.param.PigBatchIdParam;
import vip.xiaonuo.modular.bi.pigbatch.param.PigBatchPageParam;

import java.util.List;

/**
 * 猪只批次Service接口
 *
 * @author wang
 * @date  2023/12/06 14:53
 **/
public interface PigBatchService extends IService<PigBatch> {

    /**
     * 获取猪只批次分页
     *
     * @author wang
     * @date  2023/12/06 14:53
     */
    Page<PigBatch> page(PigBatchPageParam pigBatchPageParam);

    /**
     * 添加猪只批次
     *
     * @author wang
     * @date  2023/12/06 14:53
     */
    CommonResult add(PigBatchAddParam pigBatchAddParam);

    /**
     * 编辑猪只批次
     *
     * @author wang
     * @date  2023/12/06 14:53
     */
    CommonResult edit(PigBatchEditParam pigBatchEditParam);

    /**
     * 删除猪只批次
     *
     * @author wang
     * @date  2023/12/06 14:53
     */
    void delete(List<PigBatchIdParam> pigBatchIdParamList);

    /**
     * 获取猪只批次详情
     *
     * @author wang
     * @date  2023/12/06 14:53
     */
    PigBatch detail(PigBatchIdParam pigBatchIdParam);

    /**
     * 获取猪只批次详情
     *
     * @author wang
     * @date  2023/12/06 14:53
     **/
    PigBatch queryEntity(Integer id);
}
