/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigcure.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.bi.pigcure.entity.PigCure;
import vip.xiaonuo.modular.bi.pigcure.param.PigCureAddParam;
import vip.xiaonuo.modular.bi.pigcure.param.PigCureEditParam;
import vip.xiaonuo.modular.bi.pigcure.param.PigCureIdParam;
import vip.xiaonuo.modular.bi.pigcure.param.PigCurePageParam;

import java.util.List;

/**
 * 防治信息Service接口
 *
 * @author wang
 * @date  2023/12/08 10:03
 **/
public interface PigCureService extends IService<PigCure> {

    /**
     * 获取防治信息分页
     *
     * @author wang
     * @date  2023/12/08 10:03
     */
    Page<PigCure> page(PigCurePageParam pigCurePageParam);

    /**
     * 添加防治信息
     *
     * @author wang
     * @date  2023/12/08 10:03
     */
    void add(PigCureAddParam pigCureAddParam);

    /**
     * 编辑防治信息
     *
     * @author wang
     * @date  2023/12/08 10:03
     */
    void edit(PigCureEditParam pigCureEditParam);

    /**
     * 删除防治信息
     *
     * @author wang
     * @date  2023/12/08 10:03
     */
    void delete(List<PigCureIdParam> pigCureIdParamList);

    /**
     * 获取防治信息详情
     *
     * @author wang
     * @date  2023/12/08 10:03
     */
    PigCure detail(PigCureIdParam pigCureIdParam);

    /**
     * 获取防治信息详情
     *
     * @author wang
     * @date  2023/12/08 10:03
     **/
    PigCure queryEntity(Integer id);
}
