/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigdeliver.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.modular.bi.pigdeliver.param.PigDeliverAddParam;
import vip.xiaonuo.modular.bi.pigdeliver.entity.PigDeliver;
import vip.xiaonuo.modular.bi.pigdeliver.param.PigDeliverEditParam;
import vip.xiaonuo.modular.bi.pigdeliver.param.PigDeliverIdParam;
import vip.xiaonuo.modular.bi.pigdeliver.param.PigDeliverPageParam;

import java.util.List;

/**
 * 母猪分娩Service接口
 *
 * @author wang
 * @date  2023/12/07 10:38
 **/
public interface PigDeliverService extends IService<PigDeliver> {

    /**
     * 获取母猪分娩分页
     *
     * @author wang
     * @date  2023/12/07 10:38
     */
    Page<PigDeliver> page(PigDeliverPageParam pigDeliverPageParam);

    /**
     * 添加母猪分娩
     *
     * @author wang
     * @date  2023/12/07 10:38
     */
    void add(PigDeliverAddParam pigDeliverAddParam);

    /**
     * 编辑母猪分娩
     *
     * @author wang
     * @date  2023/12/07 10:38
     */
    void edit(PigDeliverEditParam pigDeliverEditParam);

    /**
     * 删除母猪分娩
     *
     * @author wang
     * @date  2023/12/07 10:38
     */
    void delete(List<PigDeliverIdParam> pigDeliverIdParamList);

    /**
     * 获取母猪分娩详情
     *
     * @author wang
     * @date  2023/12/07 10:38
     */
    PigDeliver detail(PigDeliverIdParam pigDeliverIdParam);

    /**
     * 获取母猪分娩详情
     *
     * @author wang
     * @date  2023/12/07 10:38
     **/
    PigDeliver queryEntity(Integer id);
}
