/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.bi.pigimmunity.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 免疫信息实体
 *
 * @author wang
 * @date  2023/12/08 09:29
 **/
@Getter
@Setter
@TableName("pig_immunity")
public class PigImmunity {

    /** ID */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", position = 1)
    private Integer id;

    /** 接种对象 母猪个体、母猪批次 */
    @ApiModelProperty(value = "接种对象 母猪个体、母猪批次", position = 2)
    private String objectType;

    /** 耳标号、批次号 */
    @ApiModelProperty(value = "耳标号、批次号", position = 3)
    private String eartag;

    /** 接种日期 */
    @ApiModelProperty(value = "接种日期", position = 4)
    private Date vaccinateDate;

    /** 疫苗名称 */
    @ApiModelProperty(value = "疫苗名称", position = 5)
    private String vaccinumName;

    /** 剂量 */
    @ApiModelProperty(value = "剂量", position = 6)
    private String vaccinumValue;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 7)
    private String remark;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 8)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 9)
    private Date createDate;

    /** 删除标志 */
    @ApiModelProperty(value = "删除标志", position = 10)
    private String deleteFlag;

    /** 修改日期 */
    @ApiModelProperty(value = "修改日期", position = 11)
    private Date updateDate;

    /** 组织id */
    @ApiModelProperty(value = "组织id", position = 12)
    private String orgId;
}
