/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.feed.feedingenv.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.modular.base.baseConfig.entity.BaseConfig;
import vip.xiaonuo.modular.env.envdevice.entity.EnvDevice;
import vip.xiaonuo.modular.env.envdevice.param.EnvDeviceOrgIdParam;
import vip.xiaonuo.modular.env.envdevice.param.EnvDevicePageParam;
import vip.xiaonuo.modular.feed.feedingenv.entity.FeedingEnv;
import vip.xiaonuo.modular.feed.feedingenv.param.*;

import java.util.List;
import java.util.Map;

/**
 * 精准饲喂设备Service接口
 *
 * @author wang
 * @date  2023/12/28 11:26
 **/
public interface FeedingEnvService extends IService<FeedingEnv> {

    /**
     * 获取精准饲喂设备分页
     *
     * @author wang
     * @date  2023/12/28 11:26
     */
    List<FeedingEnv> page(FeedingEnvPageParam feedingEnvPageParam);

    /**
     * 添加精准饲喂设备
     *
     * @author wang
     * @date  2023/12/28 11:26
     */
    CommonResult add(FeedingEnvAddParam feedingEnvAddParam);

    /**
     * 编辑精准饲喂设备
     *
     * @author wang
     * @date  2023/12/28 11:26
     */
    CommonResult edit(FeedingEnvEditParam feedingEnvEditParam);

    /**
     * 删除精准饲喂设备
     *
     * @author wang
     * @date  2023/12/28 11:26
     */
    void delete(List<FeedingEnvIdParam> feedingEnvIdParamList);

    /**
     * 获取精准饲喂设备详情
     *
     * @author wang
     * @date  2023/12/28 11:26
     */
    FeedingEnv detail(FeedingEnvIdParam feedingEnvIdParam);

    /**
     * 获取精准饲喂设备详情
     *
     * @author wang
     * @date  2023/12/28 11:26
     **/
    FeedingEnv queryEntity(String id);

    /*
     * 设备汇总
     *
     * */
    JSONObject listEnv(Map<String,String> paramsMap);

    Page<FeedingEnv> page(FeedingEnvListParam envDevicePageParam);

    List<BaseConfig> deviceTypeSelector(FeedingEnvPageParam envDeviceOrgIdParam);
}
