/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.modular.warning.warningInfo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.core.param.OrgIdParam;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 预警添加参数
 *
 * @author newspaper
 * @date  2023/12/26 13:40
 **/
@Getter
@Setter
public class WarningInfoAddParam extends OrgIdParam {

    /** 预警类型 */
    @ApiModelProperty(value = "预警类型", position = 2)
    private String warningType;

    /** 预警内容 */
    @ApiModelProperty(value = "预警内容", position = 3)
    private String warningContent;

    /** 预警位置ID */
    @ApiModelProperty(value = "预警位置ID", position = 4)
    private String unitId;

    /** 预警状态 */
    @ApiModelProperty(value = "预警状态", position = 5)
    private Integer warningStatus;

    /** 通知人ID */
    @ApiModelProperty(value = "通知人ID", position = 6)
    private String warningNotifierId;

    /** 预警时间 */
    @ApiModelProperty(value = "预警时间", position = 7)
    private Date warningTime;

}
